Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.servlet
Class ServletBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.servlet.ServletBinding

All Implemented Interfaces:
  GroovyObject

    public class ServletBinding

extends Binding

Servlet-specific binding extension to lazy load the writer or the output stream from the response.

### Default variables bound

- `"request"` : the HttpServletRequest object
- `"response"` : the HttpServletResponse object
- `"context"` : the ServletContext object
- `"application"` : same as context
- `"session"` : convenient for `request.getSession(false)` - can be null!
- `"params"` : map of all form parameters - can be empty
- `"headers"` : map of all request header fields

### Implicite bound variables

- `"out"` : response.getWriter()
- `"sout"` : response.getOutputStream()
- `"html"` : new MarkupBuilder(response.getWriter())

Author:
  Guillaume Laforge, Christian Stein

Constructor Summary
`ServletBinding(HttpServletRequest request, HttpServletResponse response, ServletContext context)` Initializes a servlet binding.

Method Summary
`Object` | `getVariable(String name)`
`Map` | `getVariables()`
`void` | `setVariable(String name, Object value)` Sets the value of the given variable

Methods inherited from class groovy.lang.Binding
`getProperty, setProperty`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletBinding

    public ServletBinding(HttpServletRequest request,
                          HttpServletResponse response,
                          ServletContext context)

  Initializes a servlet binding.

Method Detail

### setVariable

    public void setVariable(String name,
                            Object value)

  Description copied from class: `Binding`
  Sets the value of the given variable

  Overrides:
    `setVariable` in class `Binding`
  Parameters:
    `name` - the name of the variable to set
    `value` - the new value for the given variable

### getVariables

    public Map getVariables()

  Overrides:
    `getVariables` in class `Binding`

### getVariable

    public Object getVariable(String name)

  Overrides:
    `getVariable` in class `Binding`
  Parameters:
    `name` - the name of the variable to lookup
  Returns:
    a writer, an output stream, a markup builder or another requested object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD